Changeset 2577 in /cluster/svnroot


Ignore:
Timestamp:
Aug 23, 2010 8:24:43 PM (10 years ago)
Author:
skylar
Message:

adding new modules and scripts (#463)

Location:
bccd-ng/branches/skylar-devel/trees
Files:
12 added
1 edited

Legend:

Unmodified
Added
Removed
  • bccd-ng/branches/skylar-devel/trees/etc/init.d/vboxadd-service

    r2075 r2577  
    44# Linux Additions Guest Additions service daemon init script.
    55#
    6 # Copyright (C) 2006-2009 Sun Microsystems, Inc.
     6# Copyright (C) 2006-2009 Oracle Corporation
    77#
    88# This file is part of VirtualBox Open Source Edition (OSE), as
     
    1313# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
    1414# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
    15 #
    16 # Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa
    17 # Clara, CA 95054 USA or visit http://www.sun.com if you need
    18 # additional information or have any questions.
    1915#
    2016
     
    237233fi
    238234
    239 binary=/usr/sbin/vboxadd-service
    240 
    241 test -x "$binary" || {
    242     echo "Cannot run $binary"
    243     exit 1
     235binary=/usr/sbin/VBoxService
     236
     237testbinary() {
     238    test -x "$binary" || {
     239        echo "Cannot run $binary"
     240        exit 1
     241    }
    244242}
    245243
    246244vboxaddrunning() {
    247     lsmod | grep -q "vboxadd[^_-]"
     245    lsmod | grep -q "vboxguest[^_-]"
    248246}
    249247
     
    255253            exit 1
    256254        }
    257         daemon $binary
     255        testbinary
     256        daemon $binary > /dev/null
    258257        RETVAL=$?
    259         test $RETVAL -eq 0 && echo `pidof vboxadd-service` > $PIDFILE
     258        test $RETVAL -eq 0 && echo `pidof VBoxService` > $PIDFILE
    260259        succ_msg
    261260    fi
     
    283282
    284283    status() {
    285         echo -n "Checking for vboxadd-service"
     284        echo -n "Checking for VBoxService"
    286285        if [ -f $PIDFILE ]; then
    287286            echo " ...running"
     
    304303    status
    305304    ;;
     305setup)
     306    ;;
     307cleanup)
     308    ;;
    306309*)
    307310    echo "Usage: $0 {start|stop|restart|status}"
Note: See TracChangeset for help on using the changeset viewer.